%define jmailver 1.3.1
%define inetlibver 1.0

Name:           classpathx-mail
Version:        1.0
Release:        4.1mdk
Epoch:          0
Summary:        GNU JavaMail(tm)

Group:          Development/Java
License:        LGPL-like
URL:            http://www.gnu.org/software/classpathx/
Source0:        http://ftp.gnu.org/gnu/classpathx/mail-1.0.tar.bz2
Source1:        http://ftp.gnu.org/gnu/classpath/inetlib-1.0.tar.bz2
Patch0:         %{name}-crosslink.patch.bz2
Patch1:         %{name}-docbuild.patch.bz2
Patch2:         %{name}-add-inetlib.patch.bz2
Patch3:         classpath-inetlib-crosslink.patch.bz2
Patch4:         classpath-inetlib-docbuild.patch.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
#Vendor:         JPackage Project
#Distribution:   JPackage

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant
BuildRequires:  jaf >= 0:1.0
BuildRequires:  %{_bindir}/perl
BuildRequires:  jce
BuildRequires:  java-sasl
Requires:       jaf >= 0:1.0
Requires:       jce
Requires:       java-sasl
Provides:       javamail = 0:%{jmailver}

%description
GNU JavaMail(tm) is a free implementation of the JavaMail API.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java
Provides:       javamail-javadoc = 0:%{jmailver}
BuildRequires:  java-javadoc, jaf-javadoc

%description    javadoc
%{summary}.


%prep
%setup -q -n mail-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
rm -f libmail.so
%{__bzip2} -dc %{SOURCE1} | tar -xf -
pushd inetlib-%{inetlibver}
%patch3 -p0
%patch4 -p0
  mkdir -p source/org/jpackage/mail
  mv source/gnu/inet source/org/jpackage/mail
popd
# assume no filename contains spaces
perl -p -i -e 's/gnu(.)inet/org${1}jpackage${1}mail${1}inet/' `grep gnu.inet -lr *`


%build
# build inetlib
pushd inetlib-%{inetlibver}
  export CLASSPATH=%(build-classpath jce sasl)
  %ant -Dj2se.apidoc=%{_javadocdir}/java inetlib.jar doc
popd
mkdir classes
cp -r inetlib-%{inetlibver}/classes/org classes
# build mail
export CLASSPATH=%(build-classpath activation)
%ant \
  -Dj2se.apidoc=%{_javadocdir}/java \
  -Djaf.apidoc=%{_javadocdir}/jaf \
  dist javadoc


%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{_javadir}/javamail
install -pm 644 gnumail.jar \
  $RPM_BUILD_ROOT%{_javadir}/javamail/mailapi-%{jmailver}.jar
ln -s mailapi-%{jmailver}.jar $RPM_BUILD_ROOT%{_javadir}/javamail/mailapi.jar

install -pm 644 providers.jar \
  $RPM_BUILD_ROOT%{_javadir}/javamail/providers-%{jmailver}.jar
ln -s providers-%{jmailver}.jar \
  $RPM_BUILD_ROOT%{_javadir}/javamail/providers.jar
for prov in imap nntp pop3 smtp ; do
  ln -s providers.jar $RPM_BUILD_ROOT%{_javadir}/javamail/$prov.jar
  ln -s providers-%{jmailver}.jar \
    $RPM_BUILD_ROOT%{_javadir}/javamail/$prov-%{jmailver}.jar
done

install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/javamail-%{jmailver}
# FIXME: [javadoc] ERROR: Cannot fetch package list from null
#cp -pR docs/* $RPM_BUILD_ROOT%{_javadocdir}/javamail-%{jmailver}
ln -s javamail-%{jmailver} $RPM_BUILD_ROOT%{_javadocdir}/javamail


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/javamail
ln -s javamail-%{jmailver} %{_javadocdir}/javamail


%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING
%{_javadir}/javamail

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/javamail-%{jmailver}
%ghost %doc %{_javadocdir}/javamail


%changelog
* Wed May 11 2005 David Walluck <walluck@mandriva.org> 0:1.0-4.1mdk
- release

* Mon May 02 2005 Jason Corley <jason.corley@gmail.com> 0:1.0-4jpp
- Rebuild

* Thu Oct 28 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 0:1.0-3jpp
- Don't require classpath-inetlib.
- Require java-sasl and jce.
- Replace gnu.inet references with org.jpackage.mail.inet.
- Build inetlib.
- Include inetlib in providers.jar.

* Sat Jul  3 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-2jpp
- Require classpath-inetlib and jaf.

* Tue Jun 15 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-1jpp
- First build.
